<?php
header('Expires: ' . gmdate('D, d M Y H:i:s', time()+(60*60*12)) . ' GMT');
header('Content-Type: text/html; charset=utf-8');
echo '<?xml version="1.0" encoding="utf-8"?>'."\n";
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>Full-Text RSS | fivefilters.org</title>
	<link rel="stylesheet" href="js/validationEngine.jquery.css" type="text/css" media="screen" />
	<script type="text/javascript" src="js/jquery-1.3.2.min.js"></script>
	<script type="text/javascript" src="js/jquery.validationEngine-en.js"></script>
	<script type="text/javascript" src="js/jquery.validationEngine.js"></script>

	<style type="text/css">
	body {
		background: #fff url(images/background.png) no-repeat top left;
		font-family: sans-serif;
		margin-left: 3em;
		margin-right: 8em;
		font-size: 100%;
		line-height: 1.4em;
	}
	h1#title { margin-bottom: 0; }
	h1 a { border-bottom: none !important;}
	#content h1 { margin-left: .1em; }
	#menu { margin-left: 10px; }
	#menu a {
		background-color: #000;
		color: #fff;
		padding: 5px;
		margin-right: 1px;
		border-bottom: none;
	}
	a:link {
		color: #000;
		border-bottom: 1px dotted #888;
		text-decoration: none;
	}
	a:visited {
		color: #000;
		border-bottom: 1px dotted #888;
		text-decoration: none;
	}
	a:hover {
		color: #000;
		border-bottom: 1px solid #333;
	}
	h1#title a {
		background: transparent url(images/title.png) no-repeat top left;
		text-indent: -9999px;
		height: 70px;
		display: block;
	}
	p { line-height: 1.5em; }
	h2 { font-size: 1.5em; margin-bottom: .5em; margin-top: 1.5em; }
	h4 { margin-bottom: 0; font-weight: normal; }
	#form { margin-bottom: 1.5em; }
	#content { width: 700px; margin-left: 2em; margin-top: 2em; }
	label { display: block; margin: .2em; cursor:pointer; }
    #url { font-size: 1.2em; padding: 5px; width: 503px; display: block; background-color: #e6f3d7; margin: 0; color: #666; font-family: monospace; letter-spacing: -1px; }
	#url:focus, #url.focused { color: #333; }
    #submit { 
		font-size: 1em;
		cursor:pointer; 
		background: #405927 url(images/icon_feed.png) no-repeat scroll 5px center;
		padding: 0.5em .5em .5em 36px;
		font-weight: bold; 
		-moz-border-radius: 0 0 15px 15px; 
		width: 516px; 
		text-align: left; 
		color: #fff; 
		border: 0; 
		margin: 0;
		-webkit-border-top-left-radius: 0;
		-webkit-border-top-right-radius: 0;
		-webkit-border-bottom-left-radius: 15px;
		-webkit-border-bottom-right-radius: 15px;
	}
    /* #submit:hover { border: 1px solid #999; color: #fff; background-color: #666; } */
	#footer { font-size: .8em; margin-top: 2em; }
	table.compare { font-size: .8em; border-spacing: 1px; width: 500px; }
	.compare thead { background-color: #ddd; }
	.compare th, .compare td { padding: .5em; text-align: left; }
	img { border: 0; }
	.donate th { font-size: .8em; text-align: right; }
    .donate td, .donate th { padding-bottom: .8em; padding-right: .2em; }
	.donate-button {
		background-color: #eee;
		border: 1px solid #666;
		font-size: .8em;
		-moz-border-radius: .2em;
		padding: .2em;
		cursor: pointer;
	}
	.donate-button:hover {
		background-color: lightyellow;
		border: 1px solid red;
	}
	kbd {
		border-style: solid;
		border-width: 1px 2px 2px 1px;
		padding: 0 3px;
	}
	#advanced {
		width: 506px;
		padding: 2px 5px;
		margin: 0;
		border-top: 0;
		border-bottom: 0;
		background-color: #7AA61C;
	}
	#toggle-advanced {
		cursor: pointer;
		width: 506px;
		padding: 2px 5px;
		margin: 0;
		border-top: 0;
		border-bottom: 0;
		background-color: #7AA61C;
		dispdlay: none;
	}
	.alt-feeds { margin-top: .3em; }
	.alt-feeds a {
		background-color: #eee;
		padding: .2em;
	}
	#video a {
		border: none;
	}
	#vid-clip {
		display: none;
	}
	.download {
		display: block;
		background-color: lightyellow;
		border: none !important;
		padding: 10px 10px 14px 10px;
		width: 200px;
		text-align: center;
	}
	.download img {
		margin-top: 5px;
	}
	.small {
		color: #666;
		font-size: .8em;
	}
	</style>
	<script type="text/javascript">
	$(document).ready(function() {
		$('#advanced').hide();
		$('#toggle-advanced').click(function() {
			if (!$('#advanced').is(':visible')) {
				$('#toggle-advanced label').text('hide options');
				$('#advanced').slideToggle('fast');
			} else {
				$('#toggle-advanced label').text('show more options...');
				$('#advanced').slideToggle('fast', function() {
				});
			}
		});
		// label + input field 
		$('input[title]').each(function() {
			if($(this).val() === '') {
				$(this).val($(this).attr('title'));
			}

			$(this).focus(function() {
				if($(this).val() === $(this).attr('title')) {
					$(this).val('').addClass('focused');
				}
			});

			$(this).blur(function() {
				if($(this).val() === '') {
					$(this).val($(this).attr('title')).removeClass('focused');
				}
			});
		});
		// validate form
		$("#form").validationEngine({scroll:false, inlineValidation:false});
		// play video
		$('#play-video').click(function() {
			$('#vid-clip-img').hide();
			$('#vid-clip').show();
			return false;
		});
	});
	</script>
  </head>
  <body>
	<div id="header">
		<h1 id="title"><a href="http://fivefilters.org">fivefilters.org</a></h1>
		<div id="menu">
		<a href="../explore_independent_media.php">explore independent media</a><a href="../pdf-newspaper">pdf newspaper</a><a href="../content-only">full-text rss</a><a href="../term-extraction">term extraction</a>
		</div>
	</div>
	<div id="content">
	<h1>Create Full-Text Feeds</h1>
    <form method="get" action="makefulltextfeed.php" id="form">
	<!-- <label for="url">Enter webpage or feed URL</label> -->
	<input type="text" title="Enter webpage or feed URL here" id="url" name="url" class="validate[required,exemptString[Enter webpage or feed URL here]]" />
	<div id="toggle-advanced" class="advanced-bottom"><label>show more options...</label></div>
	<div id="advanced">
		<label>API key: <input type="text" id="key" name="key" /> (<a href="#limits">more information</a>)</label>
		<label>Max items: <select name="max">
							<option value="1">1</option>
							<option value="2">2</option>
							<option value="3">3</option>
							<option value="4" selected="selected">4</option>
							<option value="5">5</option>
							<option value="6">6</option>
							<option value="7">7</option>
							<option value="8">8</option>
							<option value="9">9</option>
							<option value="10">10</option>
							</select> (<a href="#limits">requires API key</a>)</label>
	</div>
	<input type="submit" id="submit" name="submit" value="Create Feed" /> 
	<h4>...or try it with one of the feeds below:</h4>
	<div class="alt-feeds">
		<a href="makefulltextfeed.php?url=<?php echo urlencode('http://www.schnews.org.uk/feed.xml'); ?>">Schnews</a>
		<a href="makefulltextfeed.php?url=<?php echo urlencode('http://www.myantiwar.org/feeds/rss/channel_8.xml'); ?>">Medialens</a>
		
	</div>
	</form>
	
	<div id="thanks" style="display: none">
	<h2>Thanks to everyone who donated! :)</h2>
	<p><a href="#download">Version 1.0</a> has now been released and the next version is in the works.</p>
	</div>
	
	<div id="video" style="float: left; margin-right: 20px;">
	<div id="vid-clip-img">
	<a id="play-video" href="http://revision3.com/tzdaily/2010-02-19fivefilters"><img src="images/tekzilla.jpg" width="400" height="250" /></a>
	</div>
	<div id="vid-clip">
<!--[if IE]>
<object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" style="height:250px;width:400px;background-image:url(images/tekzilla.jpg);">
<![endif]-->
<!--[if !IE]><!-->	
<object style="height:250px;width:400px;background-image:url(images/tekzilla.jpg);" data="http://swf.tubechop.com/tubechop.swf?vurl=D2gljZBEW2k&amp;start=8&amp;end=62">
<!--<![endif]-->
<param name="movie" value="http://swf.tubechop.com/tubechop.swf?vurl=D2gljZBEW2k&amp;start=8&amp;end=62"></param>
<param name="allowFullScreen" value="true"></param>
<param name="wmode" value="transparent"></param>
<param name="flashvars" value="autoplay=true"></param>
</object>
	</div>
	</div>	
	
	<object width="251" height="250"><param name="movie" value="http://widget.chipin.com/widget/id/17c02430b8031b97"></param><param name="allowScriptAccess" value="always"></param><param name="wmode" value="transparent"></param><param name="event_title" value="Donate%20to%20Full-Text%20RSS%20v2"></param><param name="event_desc" value="Please%20donate%20to%20support%20development.%20The%20next%20version%20is%20in%20the%20works%20-%20it%20will%20contain%20code%20for%20more%20accurate%20content%20extraction%20%28based%20on%20the%20latest%20release%20of%20Readability%29."></param><embed src="http://widget.chipin.com/widget/id/17c02430b8031b97" flashVars="event_title=Donate%20to%20Full-Text%20RSS%20v2&event_desc=Please%20donate%20to%20support%20development.%20The%20next%20version%20is%20in%20the%20works%20-%20it%20will%20contain%20code%20for%20more%20accurate%20content%20extraction%20%28based%20on%20the%20latest%20release%20of%20Readability%29." type="application/x-shockwave-flash" allowScriptAccess="always" wmode="transparent" width="251" height="250"></embed></object>
	
	<h2>About</h2>
	<p>This is a free software project to help people extract and read full-text web content. It can extract content from a standard HTML page and return a 1-item feed or it can transform an existing feed into a full-text feed. It is being developed as part of the <a href="http://fivefilters.org">Five Filters</a> project to promote alternative, non-corporate media.</p>
	
<!-- AddThis Button BEGIN -->
<script type="text/javascript">var addthis_pub="k1mk1m";</script>
<a style="border-bottom: none;" href="http://www.addthis.com/bookmark.php?v=20" onmouseover="return addthis_open(this, '', '[URL]', '[TITLE]')" onmouseout="addthis_close()" onclick="return addthis_sendto()"><img src="http://s7.addthis.com/static/btn/lg-share-en.gif" width="125" height="16" alt="Bookmark and Share" style="border:0"/></a><script type="text/javascript" src="http://s7.addthis.com/js/200/addthis_widget.js"></script>
<!-- AddThis Button END -->

	
	<h2>Bookmarklet</h2>
	<p>To easily transform partial-feeds you encounter (or convert any content on a page into a 1-item feed), drag the link below to your browser's bookmarks toolbar.
	Then whenever you'd like a full-text feed, click the bookmarklet.</p>
	<p>Drag this: <a style="cursor: move;" href="javascript:location.href='http://<?php echo $_SERVER['HTTP_HOST'].rtrim($_SERVER['REQUEST_URI'], '/'); ?>/makefulltextfeed.php?url='+escape(document.location.href);">Full-Text RSS</a></p>
	
	<h2 id="api">API</h2>
	<p>To extract content from a web page or to transform an existing partial feed to full text, pass the URL (<a href="http://meyerweb.com/eric/tools/dencoder/">encoded</a>) in the querystring to the following URL:</p>
	<ul>
		<li style="font-family: monospace;">http://fivefilters.org/content-only/makefulltextfeed.php?url=<strong>[url]</strong></li>
	</ul>
	<p>If you have an API key, add that to the querystring:</p>
	<ul>
		<li style="font-family: monospace; white-space:nowrap;">http://fivefilters.org/content-only/makefulltextfeed.php?key=<strong>[key]</strong>&amp;url=<strong>[url]</strong></li>
		<li style="font-family: monospace; white-space:nowrap;">http://fivefilters.org/content-only/makefulltextfeed.php?key=<strong>[key]</strong>&amp;max=<strong>[number of feed items]</strong>&amp;url=<strong>[url]</strong></li>
	</ul>
	
	<h2 id="limits">Web Service Limits: Free and Paid Access</h2>
	<p>We have imposed certain limits to keep the service running smoothly and to avoid abuse:</p>
	<table id="compare-hosted-service" class="compare">
	<thead>
		<tr><th></th><th>Free</th><th>$10/month</th></tr>
	</thead>
	<tr>
		<th>RSS feeds processed</th>
		<td>no limit</td>
		<td>no limit</td>
	</tr>	
	<tr>
		<th>RSS items per feed</th>
		<td>4</td>
		<td>1-10</td>
	</tr>
	<tr>
		<th>Cache time</th>
		<td>20 minutes</td>
		<td>10 minutes</td>
	</tr>
	<tr>
		<th>Link to fivefilters.org</th>
		<td>Yes</td>
		<td>No</td>
	</tr>
	</table>
	
	<p>As this service is part of a project to promote independent media, the free service
	will include a link to a featured article, as well as this website, at the bottom of every feed item. 
	The current featured article is
	<a href="http://medialens.org/cogitations/100310_into_the_abyss.php">Into the Abyss</a> 
	from the excellent <a href="http://www.medialens.org">Medialens</a> website.</p>
	
	<p>If you don't like the limits associated with the free service, you can either download the source code and host it 
	yourself (see below) or <a href="https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=8864339">buy an API key</a> 
	for $10 a month and continue to use the hosted solution here on fivefilters.org.</p>
	
	<a href="https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=8864339" class="download"><strong>FiveFilters.org API Key</strong><br /><span class="small">hosted service &mdash; $10/month<span><br /><img src="https://www.paypal.com/en_GB/i/btn/btn_buynow_LG.gif" style="vertical-align: middle;"></a>	
	
	<h2 id="pros-cons">Hosted or Self-hosted: What's Right for Me?</h2>
	
	<p>Unlike most web services you'll encounter online, we want our users to be free to examine and run the code behind FiveFilters.org
	however they like. As such, in addition to our hosted option, we also give you the option of self-hosting.</p>
	<p>Using the hosted service is the easiest option as you don't have to set anything up or worry about code. 
	It also means you do not have to worry about staying up to date&mdash;we maintain the code and any changes we make 
	will automatically be made available to you.</p>
	<p>If, however, you have your own hosting account or manage your own server, the self-hosted option means you can run the code and 
	manage everything yourself without relying on us. It also gives developers the opportunity to examine the code and make changes.</p>
	
	<h2>Source Code and Technologies</h2>
	<p><a href="https://code.launchpad.net/~keyvan/fivefilters/content-only">Source code available on launchpad.net</a>.</p><p>The application uses PHP, <a href="http://lab.arc90.com/2009/03/readability.php">Readability</a>, <a href="http://simplepie.org/">SimplePie</a> and <a href="http://www.ajaxray.com/blog/2008/03/08/php-universal-feed-generator-supports-rss-10-rss-20-and-atom/">FeedWriter</a>. Readability is the magic algorithm that identifies and extracts the content.</p>

	<h2>System Requirements</h2>
	
	<p>PHP 5.2 or above is required. 
	The code has been tested on Windows and Linux using the Apache web server. If you're a Windows user, you can try it on your own machine using <a href="http://www.wampserver.com/en/index.php">WampServer</a>. We have also tested the code with paid hosting services <a href="https://www.nearlyfreespeech.net/">NearlyFreeSpeech.NET</a> and Dreamhost. It should also work with other web hosts.</p>
	
	<p>The instructions below will install the code in a folder called 'full-text-rss'. The instructions have been tested on a 
	NearlyFreeSpeech account but should work on other hosts which offer shell access and have the 
	<a href="http://bazaar-vcs.org/">Bazaar</a> client installed.</p>	
	
	<h2 id="download">Download and Installation</h2>
	<p><em>Current version: 1.5 &mdash; 2010-05-30 &mdash; <a href="changelog.txt">Changelog</a></em></p>
	<p>The software can be downloaded completely free through launchpad.net using a Bazaar client (see below). However, many 
	people have been in touch to say either that they're unable to follow the instructions, unwilling to install the Bazaar 
	application required for the download, or simply want an easier way to download. 
	For those of you who'd like a simpler solution, you can now buy a zip package with the 
	source code for $10 - you will receive an email with download instructions automatically. 
	The zip file contains a readme file with instructions for uploading the code to your web host via FTP.
	Buying the zip package will also mean you will receive free updates when we make minor changes and notification 
	when a major update is released.</p>
	
	<a href="https://www.e-junkie.com/ecom/gb.php?i=651567&c=single&cl=108258" class="download"><strong>Full-Text RSS v1.5</strong><br />
	<span class="small">zip package &mdash; $10</span><br /><img src="https://www.paypal.com/en_GB/i/btn/btn_buynow_LG.gif" style="vertical-align: middle;"></a>
	
	<h3>Installation with the Bazaar client</h3>
	
	<ol style="width: 800px">
		<li>Log in to your host using SSH</li>
		<li>Change to the directory where you want Full-Text RSS installed</li>
		<li>Enter <kbd>bzr co http://bazaar.launchpad.net/~keyvan/fivefilters/content-only/ full-text-rss</kbd></li>
		<li>Now enter <kbd>chmod 777 full-text-rss/cache/</kbd></li>
		<li><strong>That's it!</strong> Try accessing the full-text-rss folder through your web browser, you should see the form asking for a URL.</li>
		<li>(Optional) If you'd like to customise the software, rename config-sample.php to config.php and edit the file.</li>
	</ol>
	
	<p>If you'd like to create a feed without going through the form first, you can simply pass the URL in the query string to makefulltextfeed.php (see the <a href="#api">API section</a> above).</p>
	
	<h2>Support</h2>
	<p>We're happy to help activists/anarchists/progressives set this up on their servers. For anyone else, please email for paid support.</p>
	<p>If you simply want someone to install the code on your server or hosting account, we can do it for a one-off $80 installation fee - 
	<a href="https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=Z5673M3ABNHKC">pay here</a>.</p>
	<p><a href="https://bugs.launchpad.net/fivefilters">Bug reports</a> and <a href="https://answers.launchpad.net/fivefilters">questions</a> welcome.</p>
	
	<h2>License</h2>
	<p><a href="http://en.wikipedia.org/wiki/Affero_General_Public_License" style="border-bottom: none;"><img src="images/agplv3.png" /></a><br />This web application is licensed under the <a href="http://en.wikipedia.org/wiki/Affero_General_Public_License">AGPL version 3</a> &mdash; which basically means if you use the code to offer the same or similar service for your users, you are also required to share the code with your users so they can do the same themselves. (<a href="http://www.clipperz.com/users/marco/blog/2008/05/30/freedom_and_privacy_cloud_call_action">More on why this is important.</a>)</p> 
	<p>The libraries used by the application are licensed as follows...</p>
	<ul>
		<li>Readability: <a href="http://www.apache.org/licenses/LICENSE-2.0">Apache License, Version 2.0</a></li>
		<li>SimplePie: <a href="http://en.wikipedia.org/wiki/BSD_license">BSD</a></li>
		<li>FeedWriter: <a href="http://www.gnu.org/licenses/old-licenses/gpl-2.0.html">GPL</a></li>
	</ul>
	
	<h2 id="donate">Donate</h2>
	<p>The Full-Text RSS service has turned out to be very popular. We would love to continue working on it but will need users
	to support the development. Please <a href="http://www.chipin.com/contribute/id/17c02430b8031b97">donate</a> if you can. This project currently relies on financial support from individual donors, API key holders 
	and a <a href="http://www.webhostingsearch.com">web hosting</a> reviews site.</p>
	
	<!-- <p>Currently the code that runs the service is more up-to-date and handles different character-encodings
	better than the code in the repository. It is also, however, in need of cleaning up and a little more testing before I can release it.
	I'm trying to raise $200 to allow me to make the necessary changes. Once the $200 target is reached I will begin work on the changes
	and release the code.  The bar below updates automatically when a donation is made and shows how close I am to the goal.</p>
	<p><strong>Note:</strong> During fundraising drives I will occasionally draw attention to these donation pleas by inserting links
	into the RSS feed produced by the free, hosted service. I don't like doing that, but the fact that this is a web service means very few people return to this page once
	they've integrated the service.</p> -->
	
	<object width="350" height="250"><param name="movie" value="http://widget.chipin.com/widget/id/17c02430b8031b97"></param><param name="allowScriptAccess" value="always"></param><param name="wmode" value="transparent"></param><param name="event_title" value="Donate%20to%20Full-Text%20RSS%20v2"></param><param name="event_desc" value="Please%20donate%20to%20support%20development.%20The%20next%20version%20is%20in%20the%20works%20-%20it%20will%20contain%20code%20for%20more%20accurate%20content%20extraction%20%28based%20on%20the%20latest%20release%20of%20Readability%29."></param><embed src="http://widget.chipin.com/widget/id/17c02430b8031b97" flashVars="event_title=Donate%20to%20Full-Text%20RSS%20v2&event_desc=Please%20donate%20to%20support%20development.%20The%20next%20version%20is%20in%20the%20works%20-%20it%20will%20contain%20code%20for%20more%20accurate%20content%20extraction%20%28based%20on%20the%20latest%20release%20of%20Readability%29." type="application/x-shockwave-flash" allowScriptAccess="always" wmode="transparent" width="350" height="250"></embed></object>
	
	<h2>Author</h2>
	<p>Created by <a href="http://www.keyvan.net">Keyvan Minoukadeh</a> for the <a href="http://fivefilters.org">Five Filters</a> project.<br />
	Email: keyvan (at) keyvan.net</p>
	
	</div>
  </body>
</html>